version: '2'

services:
  influxdb:
    build: influxdb
    ports:
      - "8083:8083"
      - "8086:8086"
    volumes:
      - influx-data:/var/lib/influxdb
    networks:
      - influx

  chronograf:
    build: chronograf
    ports:
      - "10000:10000"
    volumes:
      - chronograf-data:/var/lib/chronograf
    networks:
      - influx

volumes:
  influx-data:
    driver: local
  chronograf-data:
    driver: local

networks:
  influx:
    driver: bridge
